## org.eclipse.datatools.sqltools.routineeditor.plan
Class ExplainRoutineActionDelegate

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.sqltools.sqleditor.plan.BaseExplainAction
                      org.eclipse.datatools.sqltools.sqleditor.plan.ExplainSQLActionDelegate
                          org.eclipse.datatools.sqltools.routineeditor.plan.ExplainRoutineActionDelegate

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.ui.texteditor.IUpdate

    public class ExplainRoutineActionDelegate

extends ExplainSQLActionDelegate

This class can explain either routine object or SQL statement.

Author:
  Dafan Yang

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ExplainRoutineActionDelegate(SQLEditor targetEditor)`

Method Summary
`java.lang.String` `getSQLStatements()` Subclass should implement this method to returns the SQL statement
`void` `run()`
`void` `update()`

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.plan.ExplainSQLActionDelegate
`getDatabaseIdentifier, getPostRun, selectionChanged, setActiveEditor`

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.plan.BaseExplainAction
`getPlanRequest`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### ExplainRoutineActionDelegate

    public ExplainRoutineActionDelegate(SQLEditor targetEditor)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `BaseExplainAction`

### getSQLStatements

    public java.lang.String getSQLStatements()

  Description copied from class: `BaseExplainAction`
  Subclass should implement this method to returns the SQL statement

  Overrides:
    `getSQLStatements` in class `ExplainSQLActionDelegate`
  Returns:
    the SQL statement

### update

    public void update()

  Specified by:
    `update` in interface `org.eclipse.ui.texteditor.IUpdate`
  Overrides:
    `update` in class `ExplainSQLActionDelegate`